You need to enable JavaScript to run this app.
Torch Object Storage

Torch Object Storage

Copy page
Download PDF
Symbolic Link
GetSymlink
Copy page
Download PDF
GetSymlink

Function Description

Call the GetSymlink interface to obtain symbolic link object information.

Request message style

GET /ObjectName?symlink HTTP/1.1
Host: bucketname.tos-cn-beijing.volces.com
Date: GMT Date
Authorization: SignatureValue

Request parameters and message headers

This request uses the common request message headers. See Common Parameters.

NameLocationTypeRequiredSample ValueDescription
symlinkQueryStringYes-Represents a special identifier for the GetSymlink request.
versionIdQueryStringNo5840E600C6FBD446792DVersion number of the soft link target.

Request Element

There are no request message elements in this request.

Response Message Header

This request returns common response message headers. See Common Parameters.

NameTypeSample ValueDescription
Last-ModifiedStringThu, 06 Jun 2024 09:45:58 GMTLast update time of the soft link.
x-tos-version-idString5840E600C6FBD446792DVersion number of the symbolic link. If the version number does not exist, this header will not appear in the response.
x-tos-symlink-targetStringtest-objectTarget file pointed to by the symbolic link.
x-tos-symlink-bucketStringtest-bucketThe bucket to which the target file pointed to by the symbolic link belongs.

Response element

There is no message element in this request response.

Request example

GET /link-to-abc?symlink HTTP/1.1
Host: bucketname.tos-cn-beijing.volces.com
Date: Wed, 29 May 2024 08:39:35 GMT
Authorization: authorization string

Response example

HTTP/1.1 200 OK
Date: Wed, 29 May 2024 08:42:35 GMT
Server: TosServer
Content-Length: 0
x-tos-id-2: 1e89f203jld00006-a444fd0
x-tos-request-id: 1e89f203b2d00006-a444ed0
Etag: "47bce5c74f589f4867dbd57e9****"
Last-Modified: Wed, 03 Apr 2024 08:12:47 GMT
x-tos-symlink-target: test-object
x-tos-symlink-bucket: test-bucket
Last updated: 2025.06.30 11:00:38